Package wx :: Module richtext :: Class RichTextBuffer

[frames | no frames]

## Type RichTextBuffer

         object --+
                  |
             Object --+
                      |
         RichTextObject --+
                          |
    RichTextCompositeObject --+
                              |
                    RichTextBox --+
                                  |
         RichTextParagraphLayoutBox --+
                                      |
                                     RichTextBuffer

This is a kind of box, used to represent the whole buffer.

Method Summary
RichTextBuffer | ``__init__`(self)` This is a kind of box, used to represent the whole buffer.
| `__del__(self)`
bool | `AddEventHandler(self, handler)`
| `AddHandler(handler)` (Static method)
bool | `BatchingUndo(self)`
bool | `BeginAlignment(self, alignment)`
bool | `BeginBatchUndo(self, cmdName)`
bool | `BeginBold(self)`
bool | `BeginCharacterStyle(self, characterStyle)`
bool | `BeginFont(self, font)`
bool | `BeginFontSize(self, pointSize)`
bool | `BeginItalic(self)`
bool | `BeginLeftIndent(self, leftIndent, leftSubIndent)`
bool | `BeginLineSpacing(self, lineSpacing)`
bool | `BeginListStyle(self, listStyle, level, number)`
bool | `BeginNumberedBullet(self, bulletNumber, leftIndent, leftSubIndent, bulletStyle)`
bool | `BeginParagraphSpacing(self, before, after)`
bool | `BeginParagraphStyle(self, paragraphStyle)`
bool | `BeginRightIndent(self, rightIndent)`
bool | `BeginStandardBullet(self, bulletName, leftIndent, leftSubIndent, bulletStyle)`
bool | `BeginStyle(self, style)`
bool | `BeginSuppressUndo(self)`
bool | `BeginSymbolBullet(self, symbol, leftIndent, leftSubIndent, bulletStyle)`
bool | `BeginTextColour(self, colour)`
bool | `BeginUnderline(self)`
bool | `BeginURL(self, url, characterStyle)`
bool | `CanPasteFromClipboard(self)`
| `CleanUpHandlers()` (Static method)
| `ClearEventHandlers(self)`
| `ClearStyleStack(self)`
| `Copy(self, obj)`
bool | `CopyToClipboard(self, range)`
bool | `DeleteRangeWithUndo(self, range, ctrl)`
bool | `EndAlignment(self)`
bool | `EndAllStyles(self)`
bool | `EndBatchUndo(self)`
bool | `EndBold(self)`
bool | `EndCharacterStyle(self)`
bool | `EndFont(self)`
bool | `EndFontSize(self)`
bool | `EndItalic(self)`
bool | `EndLeftIndent(self)`
bool | `EndLineSpacing(self)`
bool | `EndListStyle(self)`
bool | `EndNumberedBullet(self)`
bool | `EndParagraphSpacing(self)`
bool | `EndParagraphStyle(self)`
bool | `EndRightIndent(self)`
bool | `EndStandardBullet(self)`
bool | `EndStyle(self)`
bool | `EndSuppressUndo(self)`
bool | `EndSymbolBullet(self)`
bool | `EndTextColour(self)`
bool | `EndUnderline(self)`
bool | `EndURL(self)`
RichTextFileHandler | `FindHandlerByExtension(extension, imageType)` (Static method)
RichTextFileHandler | `FindHandlerByFilename(filename, imageType)` (Static method)
RichTextFileHandler | `FindHandlerByName(name)` (Static method)
RichTextFileHandler | `FindHandlerByType(imageType)` (Static method)
RichTextCommand | `GetBatchedCommand(self)`
float | `GetBulletProportion()` (Static method)
int | `GetBulletRightMargin()` (Static method)
wxCommandProcessor | `GetCommandProcessor(self)`
| ``GetExtWildcard`(self, combine, save, types)` Gets a wildcard string for the file dialog based on all the currently loaded richtext file handlers, and a list that can be used to map those filter types to the file handler type. (Static method)
int | `GetHandlerFlags(self)`
wxRichTextFileHandlerList_t | `GetHandlers()` (Static method)
RichTextRenderer | `GetRenderer()` (Static method)
double | `GetScale(self)`
TextAttrEx | `GetStyleForNewParagraph(self, pos, caretPosition, lookUpNewParaStyle)`
size_t | `GetStyleStackSize(self)`
| `Init(self)`
| `InitStandardHandlers()` (Static method)
| `InsertHandler(handler)` (Static method)
bool | `InsertImageWithUndo(self, pos, imageBlock, ctrl, flags)`
bool | `InsertNewlineWithUndo(self, pos, ctrl, flags)`
bool | `InsertParagraphsWithUndo(self, pos, paragraphs, ctrl, flags)`
bool | `InsertTextWithUndo(self, pos, text, ctrl, flags)`
bool | `IsModified(self)`
bool | `LoadFile(self, filename, type)`
bool | `LoadStream(self, stream, type)`
| `Modify(self, modify)`
bool | `PasteFromClipboard(self, position)`
wxRichTextStyleSheet | `PopStyleSheet(self)`
bool | `PushStyleSheet(self, styleSheet)`
bool | `RemoveEventHandler(self, handler, deleteHandler)`
bool | `RemoveHandler(name)` (Static method)
| `ResetAndClearCommands(self)`
bool | `SaveFile(self, filename, type)`
bool | `SaveStream(self, stream, type)`
bool | `SendEvent(self, event, sendToAll)`
| `SetBulletProportion(prop)` (Static method)
| `SetBulletRightMargin(margin)` (Static method)
| `SetHandlerFlags(self, flags)`
| `SetRenderer(renderer)` (Static method)
| `SetScale(self, scale)`
| `SetStyleSheet(self, styleSheet)`
bool | `SetStyleSheetAndNotify(self, sheet)`
bool | `SubmitAction(self, action)`
bool | `SuppressingUndo(self)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self)
(Constructor)

This is a kind of box, used to represent the whole buffer.

  Returns:
    RichTextBuffer
  Overrides:
    `wx.richtext.RichTextParagraphLayoutBox.__init__`

Static Method Details

### GetExtWildcard(self, combine=False, save=False) --> (wildcards, types)

Gets a wildcard string for the file dialog based on all the currently loaded richtext file handlers, and a list that can be used to map those filter types to the file handler type.

  Parameters:
    `combine`
    (type=bool)

    `save`
    (type=bool)

Property Details

### thisown

The membership flag

  Get Method:
    unknown-42797608(...)
  Set Method:
    unknown-42797728(...)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:27 2007 | http://epydoc.sf.net